summaryrefslogtreecommitdiff
path: root/build-packages.sh
diff options
context:
space:
mode:
authorKyungwoo Lee <kyulee@microsoft.com>2016-05-23 15:33:23 -0700
committerKyungwoo Lee <kyulee@microsoft.com>2016-05-23 19:10:13 -0700
commit877352fc1e5498f31f552300f07010a7377b1e88 (patch)
treea81348ef2be41786735133e5777621ec46b653b3 /build-packages.sh
parenta2d24aa4e65c8de05c1d760c4be7e7537378f3ed (diff)
downloadcoreclr-877352fc1e5498f31f552300f07010a7377b1e88.tar.gz
coreclr-877352fc1e5498f31f552300f07010a7377b1e88.tar.bz2
coreclr-877352fc1e5498f31f552300f07010a7377b1e88.zip
ILAsm/ILDAsm Package
Fixes #5172 This has dependency on CoreCLR. Use the same version 1.0.3 as CoreCLR. Tested both packages are produced in Windows/Linux locally.
Diffstat (limited to 'build-packages.sh')
-rwxr-xr-xbuild-packages.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/build-packages.sh b/build-packages.sh
index 471b9ef819..c6580bd00d 100755
--- a/build-packages.sh
+++ b/build-packages.sh
@@ -143,6 +143,24 @@ if [ $? -ne 0 ]; then
exit 1
fi
+ # Build the ILAsm package
+ $__ProjectRoot/Tools/corerun "$__MSBuildPath" /nologo "$__ProjectRoot/src/.nuget/Microsoft.NETCore.ILAsm/Microsoft.NETCore.ILAsm.builds" /verbosity:minimal "/fileloggerparameters:Verbosity=normal;LogFile=$binclashlog" /t:Build /p:__BuildOS=$__BuildOS /p:__BuildArch=$__BuildArch /p:__BuildType=$__BuildType /p:__IntermediatesDir=$__IntermediatesDir /p:BuildNugetPackage=false /p:UseSharedCompilation=false
+
+if [ $? -ne 0 ]; then
+ echo -e "\nAn error occurred. Aborting build-packages.sh ." >> $build_packages_log
+ echo "ERROR: An error occurred while building packages, see $build_packages_log for more details."
+ exit 1
+fi
+
+ # Build the ILDAsm package
+ $__ProjectRoot/Tools/corerun "$__MSBuildPath" /nologo "$__ProjectRoot/src/.nuget/Microsoft.NETCore.ILDAsm/Microsoft.NETCore.ILDAsm.builds" /verbosity:minimal "/fileloggerparameters:Verbosity=normal;LogFile=$binclashlog" /t:Build /p:__BuildOS=$__BuildOS /p:__BuildArch=$__BuildArch /p:__BuildType=$__BuildType /p:__IntermediatesDir=$__IntermediatesDir /p:BuildNugetPackage=false /p:UseSharedCompilation=false
+
+if [ $? -ne 0 ]; then
+ echo -e "\nAn error occurred. Aborting build-packages.sh ." >> $build_packages_log
+ echo "ERROR: An error occurred while building packages, see $build_packages_log for more details."
+ exit 1
+fi
+
echo "Done building packages."
echo -e "\nDone building packages." >> $build_packages_log
-exit 0 \ No newline at end of file
+exit 0